=== debian/changelog ===
erlang-proper (1.0+20120524+dfsg-3) unstable; urgency=low

  * Fix FTBFS when not builing -doc package. (Closes: #716980)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2013 04:42:30 +0900

erlang-proper (1.0+20120524+dfsg-2) unstable; urgency=low

  * Update debian/control.
    - Add Vcs-Git field and Vcs-Browser field.
    - Add erlang-edoc to Build-Depends.
    - Add erlang-proper-doc package.
  * Add edoc to erlang-proper-dev. (Closes: #701813)
  * Update debian/rules.
    - Build edoc.
    - Change call "rebar clean" instead of make clean.
    - Remove verbose option from from erlang-depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Jul 2013 12:53:36 +0900

erlang-proper (1.0+20120524+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #689388)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Aug 2012 12:38:43 +0900
