=== debian/control ===
Source: erlang-proper
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/manopapad/proper
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-edoc, rebar

Package: erlang-proper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: QuickCheck-inspired property-based testing tool for Erlang
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.

Package: erlang-proper-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, erlang-proper (>= ${source:Version})
Description: QuickCheck-inspired property-based testing tool for Erlang - development files
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.
 .
 This package includes erlang-proper headers which are necessary to build Erlang
 applications which use erlang-proper.

Package: erlang-proper-doc
Architecture: all
Section: doc
Suggests: erlang-proper-dev
Depends: ${misc:Depends}
Description: QuickCheck-inspired property-based testing tool for Erlang - document files
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.
 .
 This package includes erlang-proper documents.
