=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE=proper
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	rebar compile -vv
	./make_doc

override_dh_auto_clean:
	rm -f include/compile_flags.hrl
	rebar clean

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
	install -m 644 include/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-proper
	erlang-depends -a -perlang-proper-dev
	dh_gencontrol -a -perlang-proper
	dh_gencontrol -a -perlang-proper-dev

override_dh_compress:
	dh_compress -X.erl -X.beam

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/doc \
		$(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/edoc/overview.edoc
