## erlang-proper 1.1%2Bgitfa58f82bdc%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2010-2012 Manolis Papadakis <manopapad@gmail.com>,
+# Copyright 2010-2013 Manolis Papadakis <manopapad@gmail.com>,
 #                     Eirini Arvaniti <eirinibob@gmail.com>
 #                 and Kostis Sagonas <kostis@cs.ntua.gr>
 #
@@ -17,32 +17,42 @@
 # You should have received a copy of the GNU General Public License
 # along with PropEr.  If not, see <http://www.gnu.org/licenses/>.
 
-# Author:      Manolis Papadakis
+# Author(s):   Manolis Papadakis, Kostis Sagonas
 # Description: Instructions for make
 
-.PHONY: default all compile dialyzer check_escripts tests doc clean distclean rebuild retest
+.PHONY: default fast all get-deps compile dialyzer check_escripts tests doc clean distclean rebuild retest
 
-default: get-deps compile
+ifneq (,$(findstring Windows,$(OS)))
+    SEP := $(strip \)
+else
+    SEP := $(strip /)
+endif
 
-all: compile doc
+REBAR := .$(SEP)rebar
 
-include/compile_flags.hrl:
+default: fast
+
+fast: get-deps compile
+
+all: fast dialyzer doc tests
+
+include/compile_flags.hrl: write_compile_flags
 	./write_compile_flags $@
 
 get-deps:
-	./rebar get-deps
+	$(REBAR) get-deps
 
 compile:
-	./rebar compile
+	$(REBAR) compile
 
 dialyzer: compile
-	dialyzer -Wunmatched_returns ebin
+	dialyzer -n -nn -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
 
 check_escripts:
 	./check_escripts.sh make_doc write_compile_flags
 
 tests: compile
-	./rebar eunit
+	$(REBAR) eunit
 
 doc:
 	./make_doc
@@ -52,11 +62,11 @@
 
 distclean: clean
 	rm -f include/compile_flags.hrl
-	./rebar clean
+	$(REBAR) clean
 
 rebuild: distclean include/compile_flags.hrl
-	./rebar compile
+	$(REBAR) compile
 
 retest: compile
 	rm -rf .eunit
-	./rebar eunit
+	$(REBAR) eunit
