## erlang-proper 1.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,28 +22,20 @@
 
 .PHONY: default fast all get-deps compile dialyzer check_escripts tests doc clean distclean rebuild retest
 
-ifneq (,$(findstring Windows,$(OS)))
-    SEP := $(strip \)
-else
-    SEP := $(strip /)
-endif
-
-REBAR := .$(SEP)rebar
-
-default: fast
+default: fast dialyzer
 
 fast: get-deps compile
 
-all: fast dialyzer doc tests
+all: default doc tests
 
-include/compile_flags.hrl: write_compile_flags
+include/compile_flags.hrl:
 	./write_compile_flags $@
 
 get-deps:
-	$(REBAR) get-deps
+	./rebar get-deps
 
 compile:
-	$(REBAR) compile
+	./rebar compile
 
 dialyzer: compile
 	dialyzer -n -nn -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
@@ -52,7 +44,7 @@
 	./check_escripts.sh make_doc write_compile_flags
 
 tests: compile
-	$(REBAR) eunit
+	./rebar eunit
 
 doc:
 	./make_doc
@@ -62,11 +54,11 @@
 
 distclean: clean
 	rm -f include/compile_flags.hrl
-	$(REBAR) clean
+	./rebar clean
 
 rebuild: distclean include/compile_flags.hrl
-	$(REBAR) compile
+	./rebar compile
 
 retest: compile
 	rm -rf .eunit
-	$(REBAR) eunit
+	./rebar eunit
