=== debian/changelog ===
erlang-proper (1.1+dfsg-1) unstable; urgency=low

  * Update to 1.1.
  * Remove patches/0001-Update-Makefile.-Change-to-use-rebar-of-system.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Oct 2013 08:42:44 +0900

erlang-proper (1.0+20120524+dfsg-5) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
  * Update debian/rules.
    - Changed to use dh-rebar.
  * Add debian/watch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2013 21:22:40 +0900
