=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, erlang-edoc, rebar
+	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper
 Architecture: any
