## erlang-proper 1.1+gitfa58f82bdc+dfsg

=== debian/changelog ===
erlang-proper (1.1+gitfa58f82bdc+dfsg-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150725). (Closes #790444)
  * Update debian/control.
    Update Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jul 2015 01:25:52 +0900
