=== debian/changelog ===
erlang-proper (1.2+dfsg-1) unstable; urgency=medium

  * Update to 1.2.
  * Add debian/gbp.conf.
  * Update debian/control.
    Update Standards-Version to 3.9.8.
  * Fix build on kFreeBSD. (Closes: #815403)
    Add patches/fix_build_on_kfreebsd.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Sep 2016 01:30:38 +0900
