=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/manopapad/proper
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
