## erlang-proper 1.2+git988ea0ed9f+dfsg

=== debian/changelog ===
erlang-proper (1.2+git988ea0ed9f+dfsg-2) unstable; urgency=medium

  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899823)
  * Bump Standards-Version to 4.1.4.
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Update debhelper to 11.
  * Update debian/copyright.
    - Add Upstream-Name and Upstream-Contact.
    - Update Format field in copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 01 Jun 2018 07:43:12 +0900

erlang-proper (1.2+git988ea0ed9f+dfsg-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170823). (Closes: #868659)
  * Update debian/patches/fix_build_on_kfreebsd.patch.
  * Update Standards-Version to 4.1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Aug 2017 12:18:11 +0900
