=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: erlang-proper
-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/manopapad/proper
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-proper
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-proper.git
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
 	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper
