=== debian/changelog ===
erlang-proper (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1098722).
  * Drop build date from the erlang-proper documentation
    (closes: #1037298).
  * Bump Debhelper compatibility level to 13.
  * Bump Standards-Version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 12:27:39 +0300
