=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/proper-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/manopapad/proper/tags .*/v?(\d\S*)\.tar\.gz
