## erlang-proper 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2010-2021 Manolis Papadakis <manopapad@gmail.com>,
+# Copyright 2010-2023 Manolis Papadakis <manopapad@gmail.com>,
 #                     Eirini Arvaniti <eirinibob@gmail.com>,
 #                 and Kostis Sagonas <kostis@cs.ntua.gr>
 #
@@ -28,7 +28,9 @@
     SEP := $(strip /)
 endif
 
-REBAR3_URL := https://s3.amazonaws.com/rebar3/rebar3
+# A safe version of rebar3 that still supports Erlang/OTP 20.x and 21.x
+# Upgrade to a newer version when support for these versions is dropped.
+REBAR3_URL := https://github.com/erlang/rebar3/releases/download/3.15.2/rebar3
 REBAR3 ?= $(shell which rebar3 || which .$(SEP)rebar3 || \
             (wget --no-check-certificate $(REBAR3_URL) && \
 	      chmod +x rebar3 && echo .$(SEP)rebar3))
@@ -44,10 +46,10 @@
 	ln -s _build/default/lib/proper/ebin .
 
 dialyzer: .plt/proper_plt compile
-	dialyzer -nn --plt $< -Wunmatched_returns ebin
+	dialyzer --plt $< -Wunmatched_returns ebin
 
 .plt/proper_plt: .plt
-	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools eunit mnesia tools runtime_tools
+	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools mnesia tools parsetools runtime_tools
 
 check_escripts:
 	./scripts/check_escripts.sh make_doc
@@ -70,11 +72,13 @@
 
 clean:
 	./scripts/clean_temp.sh
+	./scripts/clean_doc.sh
+	$(REBAR3) clean
 
 distclean: clean
-	$(REBAR3) clean
-	$(RM) .plt/proper_plt
-	$(RM) -r _build ebin rebar3 rebar.lock
+	$(RM) ebin .plt/proper_plt
+	$(RM) rebar3 rebar.lock
+	$(RM) -r _build
 
 rebuild: distclean compile
