=== debian/changelog ===
erlang-proper (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 31 Mar 2025 11:55:34 +0300
