=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Homepage: https://github.com/manopapad/proper
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-proper
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-proper.git
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:27),
 	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper
@@ -33,6 +33,7 @@
 Section: doc
 Suggests: erlang-proper-dev
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: QuickCheck-inspired property-based testing tool for Erlang - document files
  PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
  open-source property-based testing tool for Erlang.
